package edu.nyu.scps.sqlite;

import android.content.ContentValues;
import android.content.Context;
import android.database.SQLException;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;


public class Helper extends SQLiteOpenHelper {
    public Helper(Context context, String name) {
        super(context, name, null, 1);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        String createTable = "CREATE TABLE people ("
                + "_id INTEGER PRIMARY KEY AUTOINCREMENT,"
                + "name TEXT"
                + ");";

        try {
            db.execSQL(createTable);
        } catch (SQLException sQLException) {
            Log.e("myTag", "couldn't create table", sQLException);
        }

        ContentValues contentValues = new ContentValues();
        String[] names = {"Moe", "Larry", "Curly", "Shemp"};

        for (String name: names) {
            contentValues.put("name", name);
            if (db.insert("people", null, contentValues) <= 0) {
                Log.e("myTag", "insert " + name + " failed");
            }
        }
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

    }
}
